summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Isaac Yu2022-08-13 04:07:17 +0200
committer Willy Sudiarto Raharjo2022-08-13 04:07:17 +0200
commit5168a22a4c971f2962f4d5cfd9bfef2a6eb5fe76 (patch)
tree188b64f94c5f7c21d596d30583a81ec4070840ab
parentca7fcd2c2fc8cd8911b89b71ed560965b3769d9a (diff)
downloadslackbuilds-5168a22a4c971f2962f4d5cfd9bfef2a6eb5fe76.tar.gz
desktop/lxqt-themes: Added (Graphics for LXQt).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/lxqt-themes/README1
-rw-r--r--desktop/lxqt-themes/doinst.sh9
-rw-r--r--desktop/lxqt-themes/lxqt-themes.SlackBuild80
-rw-r--r--desktop/lxqt-themes/lxqt-themes.info10
-rw-r--r--desktop/lxqt-themes/slack-desc19
5 files changed, 119 insertions, 0 deletions
diff --git a/desktop/lxqt-themes/README b/desktop/lxqt-themes/README
new file mode 100644
index 0000000000..b4a69d73a6
--- /dev/null
+++ b/desktop/lxqt-themes/README
@@ -0,0 +1 @@
+lxqt-themes contains themes, graphics and icons for LXQt.
diff --git a/desktop/lxqt-themes/doinst.sh b/desktop/lxqt-themes/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/desktop/lxqt-themes/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/lxqt-themes/lxqt-themes.SlackBuild b/desktop/lxqt-themes/lxqt-themes.SlackBuild
new file mode 100644
index 0000000000..d3520ea2b6
--- /dev/null
+++ b/desktop/lxqt-themes/lxqt-themes.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/bash
+
+# Slackware build script for lxqt-themes
+
+# Copyright 2022 Isaac Yu <isaacyu1@isaacyu1.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=lxqt-themes
+VERSION=${VERSION:-1.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS CHANGELOG COPYING README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/lxqt-themes/lxqt-themes.info b/desktop/lxqt-themes/lxqt-themes.info
new file mode 100644
index 0000000000..24d0b18edb
--- /dev/null
+++ b/desktop/lxqt-themes/lxqt-themes.info
@@ -0,0 +1,10 @@
+PRGNAM="lxqt-themes"
+VERSION="1.1.0"
+HOMEPAGE="https://github.com/lxqt/lxqt-themes"
+DOWNLOAD="https://github.com/lxqt/lxqt-themes/releases/download/1.1.0/lxqt-themes-1.1.0.tar.xz"
+MD5SUM="f883a75fc3a29847bf4b7aff6cc39221"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="lxqt-build-tools"
+MAINTAINER="Isaac Yu"
+EMAIL="isaacyu1@isaacyu1.com"
diff --git a/desktop/lxqt-themes/slack-desc b/desktop/lxqt-themes/slack-desc
new file mode 100644
index 0000000000..891814fd02
--- /dev/null
+++ b/desktop/lxqt-themes/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lxqt-themes: lxqt-themes (Graphics for LXQt)
+lxqt-themes:
+lxqt-themes: lxqt-themes contains themes, graphics and icons for LXQt.
+lxqt-themes:
+lxqt-themes:
+lxqt-themes:
+lxqt-themes:
+lxqt-themes:
+lxqt-themes:
+lxqt-themes:
+lxqt-themes: